package com.base.core.model.enity;

import com.base.core.handler.StripExecuteHandler;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;


@Data
public class Region {

    /**
     * 原始观测区域
     */
    private List<ArcCoreDTO> originArea = new ArrayList<ArcCoreDTO>();

    private List<String> gridlistRegion=new ArrayList<>();

    /**
     * String 观测区域角点
     */
    private ReportPoint reportPoint = new ReportPoint();
    /**
     * 西北顶点
     */
    private NodeCoreDTO nwNode = new NodeCoreDTO();
    /**
     * 东北顶点
     */
    private NodeCoreDTO neNode = new NodeCoreDTO();
    /**
     * 西南顶点
     */
    private NodeCoreDTO swNode = new NodeCoreDTO();
    /**
     * 东南顶点
     */
    private NodeCoreDTO seNode = new NodeCoreDTO();
    /**
     * 中心顶点
     */
    private NodeCoreDTO cenNode = new NodeCoreDTO();
    /**
     * 任务id
     */
    private String bizSerial;

    private StripExecuteHandler stripExecuteHandler;

    /**
     * 预规划调用
     * @return
     */
    private XjCallRequireVisibility callRequireVisibility;

    /**
     * 星下点 1降轨 0升轨
     *
     */
    private int updown = 2;

    /**
     * 区域还是点目标 0点 1区域
     *
     */
    private int areaorpoint;

    public void setNw_node(double lat,double lon) {
        this.nwNode.setLat((float)lat);
        this.nwNode.setLon((float)lon);
    }
    public void setNe_node(double lat,double lon) {
        this.neNode.setLat((float)lat);
        this.neNode.setLon((float)lon);
    }
    public void setSw_node(double lat,double lon) {
        this.swNode.setLat((float)lat);
        this.swNode.setLon((float)lon);
    }
    public void setSe_node(double lat,double lon) {
        this.seNode.setLat((float)lat);
        this.seNode.setLon((float)lon);
    }
    public void setCen_node(double lat,double lon) {
        this.cenNode.setLat((float)lat);
        this.cenNode.setLon((float)lon);
    }



}
